Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique





















Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce: PostgreSQL, several vulnerabilities

September 2008 by Vigil@nce

SYNTHESIS

A local attacker can create a denial of service or elevate his privileges via PostgreSQL.

Gravity: 2/4

Consequences: user access/rights, denial of service of service

Provenance: user account

Means of attack: no proof of concept, no attack

Ability of attacker: expert (4/4)

Confidence: confirmed by the editor (5/5)

Diffusion of the vulnerable configuration: high (3/3)

Number of vulnerabilities in this bulletin: 3

Creation date: 22/09/2008

IMPACTED PRODUCTS

- PostgreSQL

DESCRIPTION

Several vulnerabilities impact PostgreSQL.

When a view contains UNION ALL, its permissions are not checked. [grav:2/4]

An attacker can generate memory leaks by using XML operations. [grav:1/4]

An attacker can generate integer overflows during date or unit conversions. [grav:1/4]

CHARACTERISTICS

Identifiers: VIGILANCE-VUL-8121

http://vigilance.aql.fr/vulnerability/8121




See previous articles

    

See next articles